/*
  Generation Olympia Engine - C++ Port
  Project Home: http://www.sourceforge.net/projects/qb2c/
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  $Id: engineglobals.cpp,v 1.6 2004/11/08 14:17:36 b_lindeijer Exp $
*/

#include "engineglobals.h"


std::vector<point_t> pointinfo;
std::vector<poly_t> polyinfo;

plane_t planeinfo[max_planes];
light_t lightinfo[max_lights];

short lights[max_lights][2];

int	vdist, zm;

char textureset[100], mapfile[100];

float camx, camy, camz, sgamma;
short scrny;
int lightres;

float tx1, tx2, tx3;
float ty1, ty2, ty3;
float tz1, tz2, tz3;
float stp;

float rx0, rx1, rx2, rx3;
float ry0, ry1, ry2, ry3;
float rz0, rz1, rz2, rz3;

float prexx, preyx, prezx;
float prexy, preyy, prezy;
float prexz, preyz, prezz;

float camrx, camry, camrz;

float basescrny;

short bvsync = 1;

short start, depth;

short dbuffer[viewdist+1];

bool  bfc, sound;
short trigger[100];
short FPS = 0, fp, mapx, mapz, vispolys, npolies, npoints, refreshrate, nplanes, endplane, lastlight;
double globaltime, timer, freeze;

short nvtx;
short vtx[256][6];
float fpsr, ripplex, ripplez, rippleamp, ripplefalloff, ripplewash;

float current_fade_level = 1.0; // 0.0 = black; 1.0 = normal;
float target_fade_level  = 1.0; // the fade level we want to fade to
float fade_speed = 0.04;        // change per frame (should become per second)

float fightfocus[3], focusofs[3];

BITMAP *textures[300];
BITMAP *sprites[128];
BITMAP *offscreen, *temp, *temp2;

PALETTE pal;
COLOR_MAP trans_table;

int xres, xcenter, yres, ycenter, wideheight;
float xzoomratio, yzoomratio;

bool generating_radiosity, view_updated, use_joy;
